ChakraHQ APIs
Home
Sign In
Home
Sign In
  1. Partner Access
  • API Keys
  • Response Format
  • Inbound Events Webhook
  • How to figure out pluginId and whatsappPhoneNumberId
  • API Rate Limits
  • Send Template Messages
    • Send Whatsapp Template Message For Process
      POST
    • Send Whatsapp Template Message For A Phone Number
      POST
    • Send Template Message (Meta API Format)
      POST
  • Send Session Messages
    • WhatsApp Messages API (pass-through)
      POST
    • Send WhatsApp session message (pass-through)
      POST
  • Message Templates - Create & Manage
    • Create WhatsApp Message Template (pass-through)
      POST
    • List WhatsApp Message Templates (pass-through)
      GET
    • Update WhatsApp Message Template (pass-through)
      POST
  • Media - Upload & Manage
    • Upload Public Media
      POST
    • Show Whatsapp Media API
      GET
    • Fetch Whatsapp Media API
      GET
    • Show Whatsapp Media Attachments API
      GET
  • Flows - Create & Manage
    • Set Business Public Key
      POST
    • Get Business Public Key
      GET
  • Groups - Create & Manage
    • Create Group
      POST
    • List Groups
      GET
    • Get group info
      GET
    • Update Group Settings
      POST
    • Delete Group
      DELETE
    • Get Group Invite Link
      GET
    • Reset Group Invite Link
      POST
    • Get Group Join Requests
      GET
    • Approve Group Join Request
      POST
    • Reject Group Join Request
      DELETE
    • Remove Group Participants
      DELETE
  • Leads - Create & Manage
    • Create a lead
    • Update Lead By Phone Number
  • Chat & Chat Messages
    • List chats
    • List chat messages for a chat
    • List previous messages for a phone number
  • Campaigns - Manage
    • Add a phone number to a lead campaign
    • Remove phone number from a lead campaign
  • Partner Access
    • Create Connect Token
      POST
    • Update WhatsApp plugin configuration
      POST
    • Fetch WhatsApp plugin configuration
      GET
    • Disconnect WABA Account
      POST
  • Platform
    • Process
      • Fetch Process By Id
      • List Processes
      • Create Process
      • Update Process
      • Update Process By Primary Key
      • Delete Process
      • Delete Process By Primary Key Value
      • Bulk Create Process API
      • Bulk Update Process API
    • Task
      • Create Task API
    • User
      • List Users API
      • List Users API (V2)
      • Fetch User API
      • Fetch User API (V2)
      • Update User API
    • Photo
      • Fetch Photo API
      • Upload Photo API
      • Upload Photo API With Id
    • Background Job
      • Fetch Background Job
      • Fetch Background Job Entries API
    • Fetch Config
  • Schemas
    • Whatsapp
      • MappingType
  1. Partner Access

Update WhatsApp plugin configuration

POST
https://api.chakrahq.com/v1/ext/plugin/whatsapp/{pluginId}/update-config
You can use this API to update plugin configuration. This is useful for example when you are using the connected partner embedded signup and want to udpate the configuration of the end client plugins.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.chakrahq.com/v1/ext/plugin/whatsapp//update-config' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
  "passThroughWebhookUrl": "https://example.com/log",
  "enableMessageEchoesForPassThroughWebhook": true,
  "enableSendMessageTemplateEventForPassThroughWebhook": true,
  "enableChakraWebhook": true,
  "chakraWebhookUrl": "https://example.com/log",
  "whichChakraWebhookEventsToSend": [
    "message",
    "status",
    "message_echo",
    "smb_message_echo"
  ]
}'
Response Response Example
{
  "_data": {
    "success": true
  }
}
Modified at 2026-04-22 11:27:48
Previous
Create Connect Token
Next
Fetch WhatsApp plugin configuration
Built with